%define module adm8211
%define version 20060111

Summary: DKMS-ready kernel-source for the adm8211 driver
Name: dkms-%{module}
Version: %{version}
Release:  %mkrel 2
License: GPL
Group: System/Kernel and hardware
Source0: http://aluminum.sourmilk.net/adm8211/%{module}-%{version}.tar.bz2
URL: http://aluminum.sourmilk.net/adm8211/
Provides: %{module}
Requires: dkms >= 1.00
BuildArch: noarch

%description
DKMS-ready kernel-source for the adm8211 driver.

%prep
%setup -n %{module} -q

%build

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}

cp -rf	*		$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="%{module}"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/%{module}"

AUTOINSTALL=yes
EOF

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root,-)
/usr/src/%{module}-%{version}-%{release}

%post
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060111-2mdv2008.1
+ Revision: 123997
- kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 20060111-2mdv2008.0
+ Revision: 94436
- update to new version


* Mon Oct 30 2006 Stefan van der Eijk <stefan@mandriva.org> 20060111-1mdv2007.0
+ Revision: 73765
- 20060111
- Import dkms-adm8211

* Mon Jan 16 2006 Stefan van der Eijk <stefan@eijk.nu> 20050620-1mdk
- initial package

